Subject: Re: socket api problem: can't bind an ipv6 socket to ::ffff:0.0.0.0

From: Brian Haley <[email-masked]>
Date: Tue, 17 Mar 2009 12:00:11 -0400

Eric Dumazet wrote:
> To me, section 3.7 of RFC 3493 is not gray. It is only refering to interoperate
> with IPV4 applications. 
> Ie *sending* UDP messages to IPV4 nodes, or *connect* to TCP IPV4 nodes.
> 
> So "::ffff:0.0.0.0" has no meaning to contact an IPV4 node, since 0.0.0.0 is not
> a valid IPV4 address.

I agree with you Eric :)  I was simply referring to the fact that RFC 3493
doesn't distinguish between valid and invalid use of mapped addresses:

  IPv4-mapped addresses are written as follows:

      ::FFFF:<IPv4-address>

<IPv4-address> could be interpreted as 0.0.0.0 if you take that little section
out of context.

-Brian